Update real estate voiceover text
curl --request PATCH \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"new_text": "<string>"
}
'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/"
payload = { "new_text": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_text: '<string>'})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"audio_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"duration_s": 123,
"file_size": 123,
"bitrate": 123,
"sample_rate": 123,
"channels": 123
},
"caption_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"file": "<string>"
},
"text_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>"
},
"metadata": "<unknown>"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Voiceover
Update real estate voiceover text
Update the saved project voiceover text for one owned real estate project.
PATCH
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
voiceover
/
Update real estate voiceover text
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Require text when patching a real-estate project voiceover.
Maximum string length:
2500Response
Serializer for VoiceoverAsset with nested audio and text.
Datetime when the record was created.
Serializer for AudioAsset with basic fields.
Show child attributes
Show child attributes
Serialize one generated caption asset.
Show child attributes
Show child attributes
Serializer for TextAsset with basic fields.
Show child attributes
Show child attributes
Voiceover - e.g. extra description fields
Was this page helpful?